## WebKitMediaKeySystemPermissionRequest WebKitMediaKeySystemPermissionRequest — A permission request for using an EME Content Decryption Module |

## Functions

const gchar * | webkit_media_key_system_permission_get_name ()

## Types and Values

struct | WebKitMediaKeySystemPermissionRequest

## Object Hierarchy

        GObject
        ╰── WebKitMediaKeySystemPermissionRequest

## Implemented Interfaces

WebKitMediaKeySystemPermissionRequest implements WebKitPermissionRequest.

## Description

WebKitMediaKeySystemPermissionRequest represents a request for permission to decide whether WebKit should use the given CDM to access protected media when requested through the MediaKeySystem API.

When a WebKitMediaKeySystemPermissionRequest is not handled by the user, it is denied by default.

When handling this permission request the application may perform additional installation of the requested CDM, unless it is already present on the host system.

## Functions

### webkit_media_key_system_permission_get_name ()

    const gchar *
    webkit_media_key_system_permission_get_name
                                   (WebKitMediaKeySystemPermissionRequest *request);

Get the key system for which access permission is being requested.

#### Parameters

request | a WebKitMediaKeySystemPermissionRequest |

#### Returns

the key system name for `request`

Since: 2.32

## Types and Values

### struct WebKitMediaKeySystemPermissionRequest

    struct WebKitMediaKeySystemPermissionRequest;

## See Also

WebKitPermissionRequest, WebKitWebView